#!/bin/sh

# Initialaufruf:
# ./update_messe.sh > datei.csv
# Danach:
# ./update_messe.sh datei.csv > neue_datei.csv

OLDFILE="$1"

CURDATE=`date +"%y%m%d"`

if [ ! -f "spiele_$CURDATE.html" ]
then
    curl -s http://partner.spielen.de/spielbox/messeneuheiten/verlag/2015/essen -o "spiele_$CURDATE.html" | exit 1
fi

if [ ! -f "spiele_bgg_$CURDATE.html" ]
then
    curl -s https://boardgamegeek.com/geeklist/174654/spiel-2015-preview?titlesonly=1 -o "spiele_bgg_$CURDATE.html" | exit 1
fi

./update_messe.tcl "spiele_$CURDATE.html" "spiele_bgg_$CURDATE.html" "$OLDFILE" || exit 1

exit 0
